proftpd(8)

NAME
proftpd - Professional configurable, secure file transfer protocol server

SYNOPSIS
proftpd [ -hlntv ] [ -c config-file ] [ -d debuglevel ] [ -p 0|1 ]

DESCRIPTION
proftpd is the Professional File Transfer Protocol (FTP) server daemon. The server may be invoked by the Internet "super-server" inetd(8) each time a connection to the FTP service is made, or alternatively it can be run as a standalone daemon.

Each successful and failed ftp(1) session is logged using syslog with a facility of LOG_FTP. Note: LOG_FTP messages are not displayed by syslogd(8) by default, and may have to be enabled in syslogd(8)'s configuration file.

When proftpd is run in standalone mode and it receives a SIGHUP then it will reread its configuration file. When run in standalone mode without the -n option, the main proftpd daemon writes its process ID to /var/run/proftpd.pid to make it easy to know which process to SIGHUP.

OPTIONS

-h,--help
    Display a short usage description, including all available options.

-n,--nodaemon
    Runs the proftpd process in standalone mode (must be configured as such in the configuration file), but does not background the process or disassociate it from the controlling tty. Additionally, all output (log or debug messages) are sent to stderr, rather than the syslog mechanism. Most often used with the -d option for debugging.

-q,--quiet
    Quiet mode; don't send logging information to standard error when running with the -n option.

-v,--version
    Displays the version number of ProFTPD to stdout.

-D,--define parameter
    Sets a configuration parameter which can be used <IfDefine>...</IfDefine> sections in the configuration files to conditionally skip or process commands.

-d,--debug debuglevel
    Sets proftpd's internal debug level (normally 0). The debuglevel should be an integer value from 0 to 10, with higher numbers producing more debug output. Normally, debug messages are sent to syslog using the DEBUG facility, however if the -n option is used, all such output is sent to stderr.

-c,--config config-file
    Specifies an alternate config-file to be parsed at startup, rather than the default configuration file. The default configuration file is /usr/local/etc/proftpd.conf

-N,--nocollision
    Disables address/port collision checking.

-V,--settings
    Displays various compile-time settings and exits.

-S,--serveraddr
    Specifies an IP address for the host machine, avoiding an DNS lookup of the hostname

-t,--configtest
    Read the configuration file, report any syntax errors, and exit.

-p,--persistent 0|1
    Disables (0) or enables (1) the default persistent password support, which is determined at configure time for each platform. This option only affects the default support, it can still be overridden at run-time with the PersistentPasswd directive.

-l,--list
    Lists all modules compiled into proftpd.

-4,--ipv4
    Support IPv4 functionality only, regardless of whether the --enable-ipv6 configure option was used.

-6,--ipv6
    Support IPv6 connections and lookup of IPv6 addresses for server DNS names. This is enabled by default, if the --enable-ipv6 configure option is used.

FILES
/usr/local/sbin/proftpd
/usr/local/etc/proftpd.conf
/usr/local/bin/ftpwho
/usr/local/bin/ftpcount
/usr/local/bin/ftptop
/usr/local/sbin/ftpshut
/var/log/xferlog
/var/run/proftpd.pid
/var/run/proftpd.scoreboard

AUTHORS

ProFTPD is written and maintained by a number of people, full credits can be found on http://www.proftpd.org/credits.html

SEE ALSO
inetd(8),ftp(1),ftpwho(1),ftpcount(1),ftpshut(8)

Full documentation on ProFTPD, including configuration and FAQs, is available at http://www.proftpd.org/

For help/support, try the ProFTPD mailing lists, detailed on http://www.proftpd.org/lists.html

Report bugs at http://bugs.proftpd.org/